Package com.arthenica.ffmpegkit

## Enum SessionState

- java.lang.Object
- - java.lang.Enum<SessionState>
  - - com.arthenica.ffmpegkit.SessionState

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SessionState>`

    public enum SessionState
    extends java.lang.Enum<SessionState>

### Enum Constant Summary

Enum Constants
`COMPLETED`
`CREATED`
`FAILED`
`RUNNING`

### Method Summary

All Methods Static Methods Concrete Methods
`static SessionState` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SessionState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATED

    public static final SessionState CREATED

#### RUNNING

    public static final SessionState RUNNING

#### FAILED

    public static final SessionState FAILED

#### COMPLETED

    public static final SessionState COMPLETED

### Method Detail

#### values

    public static SessionState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SessionState c : SessionState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SessionState valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null